> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lapathoniia.top/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Feedback



## OpenAPI

````yaml /api/lapathoniia-openapi.json post /feedback
openapi: 3.1.0
info:
  title: Lapathoniia API
  version: 1.0.0
  description: |-
    Lapathoniia Chat, Batch and User API.

    Base URL: `https://app.lapathoniia.top`

    All endpoints require a Bearer API key except `/health`.
servers:
  - url: https://app.lapathoniia.top
    description: Production
security:
  - bearerAuth: []
paths:
  /feedback:
    post:
      summary: Submit Feedback
      operationId: submit_feedback_feedback_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FeedbackRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    FeedbackRequest:
      properties:
        session_id:
          type: string
          title: Session Id
        model:
          type: string
          title: Model
          default: ''
        rating:
          type: string
          title: Rating
        comment:
          type: string
          title: Comment
          default: ''
        message_content:
          type: string
          title: Message Content
          default: ''
        user_message:
          type: string
          title: User Message
          default: ''
      type: object
      required:
        - session_id
        - rating
      title: FeedbackRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: sk-...

````